Page MenuHomePhabricator

Feature flag categories feature
Closed, ResolvedPublic2 Story Points

Description

In order to remove SkinMinervaBeta, feature flag the categories feature and move the code into MinervaTemplate.php/SkinMinerva.php

Test Plan

Event Timeline

Restricted Application removed a project: Patch-For-Review. ยท View Herald TranscriptOct 14 2016, 4:16 PM
MBinder_WMF set the point value for this task to 2.Nov 15 2016, 5:41 PM

Change 322967 had a related patch set uploaded (by Bmansurov):
Feature flag categories

https://gerrit.wikimedia.org/r/322967

There is no need of a configuration for this, categories should be shown unconditionally.

There are some really minor comments on the patch. Once those are addressed ping me to merge.

Change 322967 merged by jenkins-bot:
Feature flag categories

https://gerrit.wikimedia.org/r/322967

bmansurov updated the task description. (Show Details)

This appears to be fixed, with the Categories button being visible/not as expected, according to screencap results for testing on different devices/browsers:

Samsung Galaxy Tab 4 (Browser)


Samsung Galaxy Tab 4 (Browser, in Beta Mode)

Samsung Galaxy Tab 4 (Chrome)

Samsung Galaxy Tab 4 (Chrome, in Beta Mode)

iPad Air 2 iOS 10.2 (Chrome)

iPad Air 2 iOS 10.2 (Chrome, in Beta Mode)

iPad Air 2 iOS 10.2 (Firefox)

iPad Air 2 iOS 10.2 (Firefox, in Beta Mode)

iPad Air 2 iOS 10.2 (Safari)

iPad Air 2 iOS 10.2 (Safari, in Beta Mode)

ovasileva closed this task as Resolved.Nov 28 2016, 11:59 AM